## gdigi 0.2.0+hg20110905r195

=== Makefile ===
CC = gcc
EXTRA_CFLAGS ?=
EXTRA_LDFLAGS ?=
CFLAGS := $(shell pkg-config --cflags glib-2.0 gio-2.0 gtk+-2.0) -Wall -g -ansi -std=c99 $(EXTRA_CFLAGS)
LDFLAGS = $(EXTRA_LDFLAGS) -Wl,--as-needed
LDADD := $(shell pkg-config --libs glib-2.0 gio-2.0 gtk+-2.0 gthread-2.0 alsa) -lexpat 
OBJECTS = gdigi.o gui.o effects.o preset.o gtkknob.o
DEPFILES = $(foreach m,$(OBJECTS:.o=),.$(m).m)

.PHONY : clean distclean all
%.o : %.c
	$(CC) $(CFLAGS) -c $<

.%.m : %.c
	$(CC) $(CFLAGS) -M -MF $@ -MG $<

all: gdigi

gdigi: $(OBJECTS) 
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

knob.h: knob.png
	gdk-pixbuf-csource --name=knob_pixbuf knob.png > $@

clean:
	rm -f *.o
	rm -f knob.h

distclean : clean
	rm -f .*.m
	rm -f gdigi

install: gdigi
	install gdigi $(DESTDIR)/usr/bin
	install gdigi.desktop $(DESTDIR)/usr/share/applications/

NODEP_TARGETS := clean distclean
depinc := 1
ifneq (,$(filter $(NODEP_TARGETS),$(MAKECMDGOALS)))
depinc := 0
endif
ifneq (,$(fitler-out $(NODEP_TARGETS),$(MAKECMDGOALS)))
depinc := 1
endif

ifeq ($(depinc),1)
-include $(DEPFILES)
endif

=== debian/changelog ===
gdigi (0.2.0+hg20110905r195-1) unstable; urgency=low

  * Initial release (Closes: #524202)

 -- Ahmed Toulan <thelinuxer@ubuntu.com>  Mon, 05 Sep 2011 11:32:51 +0200

=== debian/control ===
Source: gdigi
Section: sound
Priority: extra
Maintainer: Ahmed Toulan <thelinuxer@ubuntu.com>
Build-Depends: debhelper (>= 7), libexpat1-dev (>= 2.0.0), libgtk2.0-dev (>= 2.14.0), libasound2-dev
Standards-Version: 3.9.2
Homepage: http://desowin.org/gdigi/
Vcs-hg: http://anonscm.debian.org/hg/collab-maint/gdigi/#debian
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/gdigi/summary

Package: gdigi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to control DigiTech effect pedals
 gdigi is a tool aimed to provide X-Edit functionality to Linux users
 .
 Supported devices:
    * RP250
    * RP255
    * RP355
    * RP500
    * RP1000
    * GNX3000
    * GNX4K

=== debian/rules ===
#!/usr/bin/make -f
REV=$(shell dpkg-parsechangelog | grep Version | sed -e 's/.*r\(.*\)-.*/\1/')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	rm -rf gdigi-$(VER).orig
	hg clone http://hg.atheme.org/users/desowin/gdigi/ gdigi-$(VER).orig
	cd gdigi-$(VER).orig && hg up -r $(REV)
	rm -r gdigi-$(VER).orig/.hg gdigi-$(VER).orig/.hgignore
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                        -f gdigi_$(VER).orig.tar.gz \
                        gdigi-$(VER).orig
	rm -r gdigi-$(VER).orig
	mv gdigi_$(VER).orig.tar.gz ../

%:
	dh $@

## gdigi 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 EXTRA_CFLAGS ?=
 EXTRA_LDFLAGS ?=
-CFLAGS := $(shell pkg-config --cflags glib-2.0 gio-2.0 gtk+-2.0) -Wall -g -ansi -std=c99 $(EXTRA_CFLAGS)
+CFLAGS := $(shell pkg-config --cflags glib-2.0 gio-2.0 gtk+-3.0 libxml-2.0) -Wall -g -ansi -std=c99 $(EXTRA_CFLAGS)
 LDFLAGS = $(EXTRA_LDFLAGS) -Wl,--as-needed
-LDADD := $(shell pkg-config --libs glib-2.0 gio-2.0 gtk+-2.0 gthread-2.0 alsa) -lexpat 
-OBJECTS = gdigi.o gui.o effects.o preset.o gtkknob.o
+LDADD := $(shell pkg-config --libs glib-2.0 gio-2.0 gtk+-3.0 gthread-2.0 alsa libxml-2.0) -lexpat 
+OBJECTS = gdigi.o gui.o effects.o preset.o gtkknob.o preset_xml.o
 DEPFILES = $(foreach m,$(OBJECTS:.o=),.$(m).m)
 
 .PHONY : clean distclean all
@@ -19,12 +19,8 @@
 gdigi: $(OBJECTS) 
 	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)
 
-knob.h: knob.png
-	gdk-pixbuf-csource --name=knob_pixbuf knob.png > $@
-
 clean:
 	rm -f *.o
-	rm -f knob.h
 
 distclean : clean
 	rm -f .*.m

=== debian/changelog ===
gdigi (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Added Andrew O. Shadoura <bugzilla@tut.by> to Uploaders
  * Added libxml2-dev to Build-Depends and replace libgtk2.0-dev with
    libgtk-3-dev
  * Bumped Standards-Version to 3.9.3
  * Added watch file
  * Changed copyright on debian/* and added Islam Alwazery <wazery@ubuntu.com>
    on debian/gdigi.png and debian/gdigi.xpm
  * Added application xpm to the menu file 
  * Added application icon to gdigi.desktop file. Changed GNOME category to GTK.
  * Dropped git-orig-source rule

 -- Ahmed Toulan <thelinuxer@ubuntu.com>  Mon, 10 April 2012 17:55:51 +0200

=== debian/control ===
Source: gdigi
Section: sound
Priority: extra
Maintainer: Ahmed Toulan <thelinuxer@ubuntu.com>
Uploaders: Andrew O. Shadoura <bugzilla@tut.by>
Build-Depends: debhelper (>= 7), libexpat1-dev (>= 2.0.0), libgtk-3-dev , libasound2-dev, libxml2-dev
Standards-Version: 3.9.3
Homepage: http://desowin.org/gdigi/
Vcs-hg: http://anonscm.debian.org/hg/collab-maint/gdigi/#debian
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/gdigi/summary

Package: gdigi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to control DigiTech effect pedals
 gdigi is a tool aimed to provide X-Edit functionality to Linux users
 .
 Supported devices:
    * RP150
    * RP155
    * RP250
    * RP255
    * RP355
    * RP500
    * RP1000
    * GNX3000
    * GNX4K

## gdigi 0.4.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 EXTRA_LDFLAGS ?=
 CFLAGS := $(shell pkg-config --cflags glib-2.0 gio-2.0 gtk+-3.0 libxml-2.0) -Wall -g -ansi -std=c99 $(EXTRA_CFLAGS)
 LDFLAGS = $(EXTRA_LDFLAGS) -Wl,--as-needed
-LDADD := $(shell pkg-config --libs glib-2.0 gio-2.0 gtk+-3.0 gthread-2.0 alsa libxml-2.0) -lexpat 
+LDADD := $(shell pkg-config --libs glib-2.0 gio-2.0 gtk+-3.0 gthread-2.0 alsa libxml-2.0) -lexpat -lm
 OBJECTS = gdigi.o gui.o effects.o preset.o gtkknob.o preset_xml.o
 DEPFILES = $(foreach m,$(OBJECTS:.o=),.$(m).m)
 
@@ -19,16 +19,21 @@
 gdigi: $(OBJECTS) 
 	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)
 
+images/gdigi_icon.h: images/icon.png
+	gdk-pixbuf-csource --raw --name=gdigi_icon $< > $@
+
 clean:
 	rm -f *.o
 
 distclean : clean
 	rm -f .*.m
+	rm -r images/gdigi_icon.h
 	rm -f gdigi
 
 install: gdigi
 	install gdigi $(DESTDIR)/usr/bin
 	install gdigi.desktop $(DESTDIR)/usr/share/applications/
+	install images/gdigi.png $(DESTDIR)/usr/share/icons/
 
 NODEP_TARGETS := clean distclean
 depinc := 1

=== debian/changelog ===
gdigi (0.4.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:24:43 +0000

gdigi (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Modify clean target in Makefile for dh_clean step to succeed.
  * Set the correct permissions in install target.
  * Added libglib2.0-dev to Build-Depends.
  * Dropped debian/gdigi.png as upstream tarball now includes that file.
  * Removed 01-Add-application-icon-to-gdigi.desktop-file.patch.
  * Added a new patch to update categories in gdigi.desktop file.

 -- Ahmed Toulan <thelinuxer@ubuntu.com>  Tue, 29 Jan 2013 17:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: Ahmed Toulan <thelinuxer@ubuntu.com>
-Uploaders: Andrew O. Shadoura <bugzilla@tut.by>
-Build-Depends: debhelper (>= 7), libexpat1-dev (>= 2.0.0), libgtk-3-dev , libasound2-dev, libxml2-dev
+Uploaders: Andrew Shadura <bugzilla@tut.by>
+Build-Depends: debhelper (>= 7), libasound2-dev, libgtk-3-dev , libglib2.0-dev, libexpat1-dev (>= 2.0.0), libxml2-dev
 Standards-Version: 3.9.3
 Homepage: http://desowin.org/gdigi/
 Vcs-hg: http://anonscm.debian.org/hg/collab-maint/gdigi/#debian

## gdigi 0.4.0%2Bgit20200615%2B1c2c89f

=== debian/control ===
Source: gdigi
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libexpat1-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libxml2-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/gdigi
Vcs-Git: https://salsa.debian.org/multimedia-team/gdigi.git
Homepage: https://desowin.org/gdigi/

Package: gdigi
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: utility to control DigiTech effect pedals
 gdigi is a tool aimed to provide X-Edit functionality to Linux users
 .
 Supported devices:
    * RP150
    * RP155
    * RP250
    * RP255
    * RP355
    * RP500
    * RP1000
    * GNX3000
    * GNX4K

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=0.4.0+git%cd+%h, repack, compression=xz" \
 https://github.com/desowin/gdigi.git \
 HEAD

## gdigi 0.4.0+git20200615+1c2c89f

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CC = gcc
+CC ?= gcc
 EXTRA_CFLAGS ?=
 EXTRA_LDFLAGS ?=
 CFLAGS := $(shell pkg-config --cflags glib-2.0 gio-2.0 gtk+-3.0 libxml-2.0) -Wall -g -ansi -std=c99 $(EXTRA_CFLAGS)
@@ -16,7 +16,7 @@
 
 all: gdigi
 
-gdigi: $(OBJECTS) 
+gdigi: $(OBJECTS)
 	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)
 
 images/gdigi_icon.h: images/icon.png
@@ -27,13 +27,13 @@
 
 distclean : clean
 	rm -f .*.m
-	rm -r images/gdigi_icon.h
+	rm -f images/gdigi_icon.h
 	rm -f gdigi
 
 install: gdigi
 	install gdigi $(DESTDIR)/usr/bin
-	install gdigi.desktop $(DESTDIR)/usr/share/applications/
-	install images/gdigi.png $(DESTDIR)/usr/share/icons/
+	install -m 0644 gdigi.desktop $(DESTDIR)/usr/share/applications/
+	install -m 0644 images/gdigi.png $(DESTDIR)/usr/share/icons/
 
 NODEP_TARGETS := clean distclean
 depinc := 1

=== debian/changelog ===
gdigi (0.4.0+git20200615+1c2c89f-4) unstable; urgency=medium

  * QA upload.
  * Use Multimedia team space on Salsa to maintain the package
  * Cleanup watch file
  * Build reproducibly
    Closes: #1011490
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/copyright: review
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Thu, 28 Aug 2025 13:25:09 +0200

gdigi (0.4.0+git20200615+1c2c89f-3) unstable; urgency=medium

  * QA upload.
  * Drop menu file and its pixmap, since gdigi already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Dec 2021 11:06:22 +0100

gdigi (0.4.0+git20200615+1c2c89f-2) unstable; urgency=medium

  * Install the renamed README.md.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 08 Oct 2021 09:32:33 +0200

gdigi (0.4.0+git20200615+1c2c89f-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #941317).
  * Orphan the package.
  * Update debian/watch.
  * Fix cross-build usage of pkg-config (Closes: #979172).
  * New upstream release.
  * Drop patches applied upstream.
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names
    (Upstream-Maintainer => Upstream-Contact)
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Point Vcs-Git to dgit.
  * Set Standards-Version: 4.6.0.
  * Wrap and sort.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 07 Oct 2021 16:27:24 +0200

gdigi (0.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957262)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 30 Aug 2020 23:05:33 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- EXTRA_CFLAGS="$(CFLAGS)"
